sqlitexx: sqlite3xx::result::const_iterator Class Reference

sqlitexx 0.0.1

Public Types | Public Member Functions | Friends
sqlite3xx::result::const_iterator Class Reference

`#include <result.hpp>`

Inheritance diagram for sqlite3xx::result::const_iterator:
[legend]
Collaboration diagram for sqlite3xx::result::const_iterator:
[legend]

## Public Types
typedef const tuple * | pointer
Public Types inherited from sqlite3xx::result::tuple
typedef unsigned int | size_type

## Public Member Functions
| const_iterator () throw ( )
| const_iterator (const tuple &t) throw ( )
pointer | operator-> () const
const_iterator | operator++ (int incr)
bool | operator< (const const_iterator &i) const
Public Member Functions inherited from sqlite3xx::result::tuple
| tuple (const result *r, size_type i)
| ~tuple ()
size_type | size () const
field | operator[] (size_type i) const
field | operator[] (int i) const
field | operator[] (string s) const
int | column_type (size_type i) const
int | GetValueInt (size_type i) const
const unsigned char * | GetValueText (size_type i) const
double | GetValueDouble (size_type i) const
size_type | rownumber () const throw ( )

## Friends
class | result

## Additional Inherited Members
Protected Member Functions inherited from sqlite3xx::result::tuple
| tuple ()

## Member Typedef Documentation

## ◆ pointer

typedef const tuple* sqlite3xx::result::const_iterator::pointer

## Constructor & Destructor Documentation

## ◆ const_iterator() [1/2]

sqlite3xx::result::const_iterator::const_iterator | ( |  | ) |
throw | ( |
| ) |  |
| inline

## ◆ const_iterator() [2/2]

sqlite3xx::result::const_iterator::const_iterator | ( | const tuple & | t | ) |
throw | ( |
| ) |  |
| inline

## Member Function Documentation

## ◆ operator++()

const_iterator sqlite3xx::result::const_iterator::operator++ | ( | int | incr | ) |

## ◆ operator->()

pointer sqlite3xx::result::const_iterator::operator-> | ( |  | ) | const
| inline

## ◆ operator<()

bool sqlite3xx::result::const_iterator::operator< | ( | const const_iterator & | i | ) | const

## Friends And Related Symbol Documentation

## ◆ result

friend class result
| friend

The documentation for this class was generated from the following file:

- result.hpp